/*
 * Copyright 2008 University of Chicago/Argonne National Laboratory
 *
 * @author Neill Miller
 */
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "soapH.h"
#include "libglobus_adq.h"

//#define AUTH_SERVICE "http://localhost:8080/SamlAuthzProject/saml/soap/secure/authorizationService.htm"
#define AUTH_SERVICE "https://pcmdi3.llnl.gov/esgcet/saml/soap/secure/authorizationService.htm"

int main(int argc, char **argv)
{
    int ret = -1;
    char *openid = (char *)"https://pcmdi3.llnl.gov/esgcet/myopenid/rootAdmin";
    char *resource = (char *)"gsiftp://esg-test1.llnl.gov:2811//esg_dataroot/test/sftlf.nc";
    authz_decision_t authz_out;
    memset(&authz_out, 0, sizeof(authz_out));

    ret = get_authorization_decision(
        (char *)AUTH_SERVICE, (char *)openid, (char *)resource,
        (char *)"read", &authz_out);

    if (ret == 0)
    {
        printf("Authz Decision returned successfully for Openid %s\n", openid);
        printf("Resource %s, Action %s, Decision %s\n", authz_out.resource, authz_out.action,
               ((authz_out.decision == ADQ_PERMIT) ? "Permit" : "Not Permitted"));
    }
    else
    {
        printf("Authz Decision Query failed for Openid %s\n", openid);
    }
    return 0;
} 
